e-cal-backend-util
3
LIBEDATA-CAL Library

# e-cal-backend-util

Utility functions for backends.

## Synopsis

    gboolean    e_cal_backend_mail_account_get_default
                                                (char **address,
                                                 char **name);
    gboolean    e_cal_backend_mail_account_is_valid
                                                (char *user,
                                                 char **name);

## Description

## Details

### e_cal_backend_mail_account_get_default ()

    gboolean    e_cal_backend_mail_account_get_default
                                                (char **address,
                                                 char **name);

Retrieve the default mail account as stored in Evolution configuration.

`address` :

  Placeholder for default address.

`name` :

  Placeholder for name.

Returns :

  TRUE if there is a default account, FALSE otherwise.

### e_cal_backend_mail_account_is_valid ()

    gboolean    e_cal_backend_mail_account_is_valid
                                                (char *user,
                                                 char **name);

Checks that a mail account is valid, and returns its name.

`user` :

  User name for the account to check.

`name` :

  Placeholder for the account name.

Returns :

  TRUE if the account is valid, FALSE if not.